Page MenuHomePhabricator

[WebAssembly] Call signExtend to get sign extended register [NFCI]
ClosedPublic

Authored by jbhateja on Nov 1 2017, 11:36 PM.

Details

Summary

While analyzing Bug 35064 - Crash in WebAssembly register allocation.
observed this incorrect call.

Diff Detail

Repository
rL LLVM

Event Timeline

jbhateja created this revision.Nov 1 2017, 11:36 PM
jbhateja added a subscriber: llvm-commits.
sunfish edited edge metadata.Nov 3 2017, 11:07 AM

Good catch; this change is obviously correct. Would you mind adding a testcase?

jbhateja updated this revision to Diff 121595.Nov 4 2017, 11:32 AM
  • Adding a test for signext of function arguments.
jbhateja accepted this revision.Nov 8 2017, 11:00 AM
This revision is now accepted and ready to land.Nov 8 2017, 11:00 AM
This revision was automatically updated to reflect the committed changes.